

* {
	margin:0;
	padding:0;
	border: none;
	box-sizing: border-box;
	user-select: none;
	-webkit-user-select: none;
}

body {
	background:#212121 url("../images/dotLight.png");
	width:100%;
	height:100%;
}

#bgc {
	position: absolute;
	background: 222222;
}

#logo {
	position: relative;
	margin: 10px 0 5px 0;
	width: 100%;
	flex: 1;
	transition: all .4s cubic-bezier(0.85, 0, 0.15, 1);
}

.logo {
	background: 50% / contain no-repeat;
}

#fontLoaded {
	position: absolute;
	top: -1000px;
	width: auto;
}

#adiFrame {
	position: absolute;
	top:-1000px;
	left:0;
}

.hidden {
	display: none !important;
}

#topBar {
	position: fixed;
	display: flex;
	flex-direction: column;
	align-items: center;
	width:100%;
	height:200px;
	top: 0;
	left: 0;
}

#grad {
	position: absolute;
	width: 100%;
	height: 100px;
	opacity: 0;
	background-image: linear-gradient( 0deg, rgba(0,0,0,0) 0%, rgba(0,0,0,1) 60%);
}

/* navigation */

#navContainer {
	display: flex;
	justify-content: center;
	user-select: none;
}	

#navContainer > ul{
	display: flex;
}	

.navButtons {
	/*display: inline-block;*/
	user-select: none;
	cursor: pointer;
	margin: 0;
	font-size: 24px;
	list-style: none;
	padding: 14px;
	transition: all .4s cubic-bezier(0.85, 0, 0.15, 1);
	color: white;
	text-shadow: 1px 1px #111;
}

.navButtonsActive {
	color: #ff5918 !important;
}

.navButtonsActive::before {
	display: inline-block;
	content:".";
	color: white;
	transform: translateY(-30%);
}

.navButtonsInactive::before {
	display: inline-block;
	content:".";
	color: #ff5918;
	transform: translateY(0%);
	transition: all .4s cubic-bezier(0.85, 0, 0.15, 1);
}

.navButtonsInactive:hover::before{
	color: white;
	transform: translateY(-30%);
	transition: all .4s cubic-bezier(0.85, 0, 0.15, 1);
}

.navButtonsInactive:hover {
	color: #ff5918;
	transition: all .4s cubic-bezier(0.85, 0, 0.15, 1);
}

.copy {
	font-family: 'VT323', monospace;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

h2 {
	font-size: 30px;
	padding-bottom: 12px;
}

.orange {
	color: #ff5918 !important;
}

#homeContainer {
	/*top: 210px;*/
	overflow: visible;
	/*height: calc(100% - 210px);*/
}

#homeContent {
	position: relative;
	display: flex;
	align-items: center;
	margin: 0 auto;
	top:10%;
	width: 900px;
}

#pCanvas {
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

#blockContainer {
	position: relative;
	transform: translateY(-15%);
	width: 40%;
	padding-bottom: 60%;
	perspective: 800px;
}

#block3d {
	position: absolute;
	transform-style: preserve-3d;
	width: 100%;
	height: 100%;
	animation: 20s linear infinite ROTATE;
/*	-o-animation: 20s linear infinite ROTATE;
    -moz-animation: 20s linear infinite ROTATE;
    -webkit-animation: 20s linear infinite ROTATE;*/

}

.p3d {
	transform-style: preserve-3d;
}

.bbFace {
	background: black url("../images/logo.svg") ;
	background-size: 60% 60%;
	background-position:50% 50%;
	background-repeat:no-repeat;
	backface-visibility: hidden;
}


#homeCopy {
	padding: 0 0 0 40px;
	width: 60%;
	color: white;
	font-size: 24px;
	z-index: 1;
	text-shadow: 1px 1px #111;
}

#contentContainer {
	position: fixed;
	left:0;
	top: 0;
	width: 100%;
	height: 100%;
	padding: 20px;
	overflow: auto;
}

.container {
	position: relative;
	margin: 0 auto;
	top: 200px;
	width: 100%;
	max-width: 1400px;
	overflow: hidden;
}

.grid {
	display: grid;
	grid-gap: 20px;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

#previewBg {
	position: fixed;
	left:0;
	top:-50000px;
	width: 100%;
	height: 100%;
	background: url("../images/dot.png");
	z-index: 3;
}

#previewFrame {
	position: absolute;
	opacity: 0;
	top: 50%;
	left: 50%;
	padding: 15px;
	background: white;
	border-radius: 8px;
}

#previewWindow {
	position: relative;
	width: 300px;
}

#previewContainer {
	position: relative;
	/*width: 20px;
	height: 20px;*/
	margin: 0 auto 5px auto;
	background: #b2b2b2;
	overflow: hidden;
}

#previewContent {
	position: absolute;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
}

#imgPreviewContent {
	position: absolute;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
}


#videoFullScreenContent {
	position: absolute;
	width: 100%;
	height: 100%;
}

#previewInfo p {
	font-size: 20px;
	line-height: 20px;
	color: black;
}

#previewCloseBtn {
	right:-22px;
	top:-22px;
}

#fsPreviewCloseBtn {
	right:20px;
	top:20px;
}

#fsContainer {
	position: absolute;
	top:-10000px;
	width: 100%;
	height: 100%;
	z-index: 5;
}

#fsVideoContent {
	position: relative;
	width: 100%;
	height: 100%;
}

.closeBtn {
	position: absolute;
	width: 40px;
	height: 40px;
	background: url("../images/closeBtn.svg") 50% / contain no-repeat;
	cursor: pointer;	
}

.pfItem {
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	border: 1px solid #ababab;
	overflow: hidden;
	cursor: pointer;
}

.pfItemTitle {
	position: absolute;
	bottom: 10px;
	left: 10px;
	transform: translateX(0px);
	font-size: 20px;
	transition: .2s ease-in;
	text-shadow: 1px 1px #111;
	color: white;
	white-space: nowrap;
}

.pfItem::before {
	content:"";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 42px;
	background: black;
	opacity:.6;
}

.pfItem:hover>.pfItemTitle {
	transform: translateX(10px);
	transition: .2s ease-out;
}

#loaderCover {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: white;
	overflow: hidden;
	z-index: 2;
}

#loaderLogo {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 150px;
	height: 150px;
	margin: auto;
	opacity: 0;
}

#loaderCopy {
	position: absolute;
	padding-top: 150px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 150px;
	height: 150px;
	margin: auto;
	opacity: 0;	
}

/*#loaderCopy::after {
	content:".";
    animation: 0.05s infinite alternate FLICKER;
}*/

#previewLoaderCopy {
	position: absolute;
	width: 300px;
	height: 40px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
}

.loaderCopy {
	font-size: 30px;
	text-align: center;
	text-shadow: 1px 1px #111;
	color: #ff5918 !important;
}

.loaderCopy::after {
	content:".";
	/*-o-animation: .05s infinite alternate FLICKER;
    -moz-animation: .05s infinite alternate FLICKER;
    -webkit-animation: .05s infinite alternate FLICKER;*/
    animation: 0.05s infinite alternate FLICKER;
}

/*
@-webkit-keyframes ROTATE {
	from {
		transform: rotateY(0deg);
	}
	to {
		transform: rotateY(360deg);
	}
}

@-moz-keyframes ROTATE {
	from {
		transform: rotateY(0deg);
	}
	to {
		transform: rotateY(360deg);
	}
}*/

@keyframes ROTATE {
	from {
		transform: rotateY(0deg);
	}
	to {
		transform: rotateY(360deg);
	}
}

@-webkit-keyframes FLICKER {
	from {
		opacity: 1;
	}
	to {
		opacity: 0;	
	}
}

@-moz-keyframes FLICKER {
	from {
		opacity: 1;
	}
	to {
		opacity: 0;	
	}
}

@keyframes FLICKER {
	from {
		opacity: 1;
	}
	to {
		opacity: 0;	
	}
}


@media only screen and (max-width:1080px) {

	#homeContent {
		width: 80%;
	}
}

@media only screen and (max-width:600px) {

	.grid {
		grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
	}

	.navButtons {
		font-size: 20px;
		padding: 12px 6px;
	}

	#logo {
		margin: 5px 0 2px 0;	
	}	

	#homeContainer {
		transform: translateY(0);
	}

	#homeContent {
		top: 20px;
		flex-direction: column-reverse;
		align-items: center;
		flex-wrap: wrap;
	}

	#homeCopy {
		width: 100%;
		padding: 0;
		text-align: center;
	}

	#blockContainer {
		width: 100%;
		padding-bottom: 120%;
	}

}
